Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000250Zandronum[All Projects] Bugpublic2010-12-29 05:382018-05-08 10:00
Reporterunknownna 
Assigned ToLeonard 
PrioritylowSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version98d 
Target Version3.1Fixed in Version3.1 
Summary0000250: Spectators and "cl_identifytarget "
DescriptionWhen you're a spectator, "cl_identifytarget" doesn't identify other players until your aim is at shoulder-level on the player sprites. So if you aim at the legs of a player sprite, it won't identify the player.
Attached Filespng file icon screenshot.png [^] (131,127 bytes) 2011-03-27 08:53


png file icon Screenshot_Doom_20140610_195627.png [^] (1,434,263 bytes) 2014-06-10 18:00
png file icon Screenshot_Doom_20140610_195656.png [^] (943,475 bytes) 2014-06-10 18:01

- Relationships

-  Notes
User avatar (0008987)
Watermelon (developer)
2014-06-10 15:43

Does this still happen?
User avatar (0009014)
Frits (reporter)
2014-06-10 17:58

Still happens in 1.2 and 2.0

Identify target gets triggered from the upper waist to high above the player's sprite.

See additional screenshots.
User avatar (0009023)
Watermelon (developer)
2014-06-10 22:06

Thanks yet again


Torr or Dusk, maybe you guys have input on this? I'm not sure what could be causing it, I'm guessing it's not checking the bounding box properly?
User avatar (0018522)
Leonard (developer)
2017-10-10 19:52

PR.
User avatar (0018556)
Torr Samaho (administrator)
2017-10-14 16:19

Looks good! I added your patch.
User avatar (0019223)
StrikerMan780 (reporter)
2018-05-08 01:04

Seems to work. I can aim at the head or feet and still get it to identify a player in 3.1.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2010-12-29 05:38 unknownna New Issue
2011-03-27 08:53 unknownna File Added: screenshot.png
2012-06-09 13:22 Torr Samaho Category General => Bug
2014-06-10 15:43 Watermelon Note Added: 0008987
2014-06-10 15:43 Watermelon Status new => feedback
2014-06-10 17:58 Frits Note Added: 0009014
2014-06-10 18:00 Frits File Added: Screenshot_Doom_20140610_195627.png
2014-06-10 18:01 Frits File Added: Screenshot_Doom_20140610_195656.png
2014-06-10 22:06 Watermelon Note Added: 0009023
2014-06-10 22:06 Watermelon Status feedback => confirmed
2017-10-10 19:52 Leonard Note Added: 0018522
2017-10-10 19:52 Leonard Assigned To => Leonard
2017-10-10 19:52 Leonard Status confirmed => needs review
2017-10-10 19:52 Leonard Target Version => 3.1
2017-10-14 16:19 Torr Samaho Note Added: 0018556
2017-10-14 16:19 Torr Samaho Status needs review => needs testing
2018-05-08 01:04 StrikerMan780 Note Added: 0019223
2018-05-08 10:00 Leonard Status needs testing => resolved
2018-05-08 10:00 Leonard Resolution open => fixed
2018-05-08 10:00 Leonard Fixed in Version => 3.1






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker